<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xslt/java" xmlns:of="scpf.org:office" exclude-result-prefixes="sc sp java of">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<xsl:for-each select="//sp:url[not(of:*)]">
			<xsl:call-template name="urlCtrlLnk">
				<xsl:with-param name="pUrl" select="text()"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:for-each select="//sc:location">
			<xsl:call-template name="urlCtrlLnk">
				<xsl:with-param name="pUrl" select="text()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="urlCtrlLnk">
		<xsl:param name="pUrl"/>
		<xsl:if test="setEntryBuffer('ctrlUrl',concat(java:getSrcUri(srcFileAgent()), string($pUrl)))">
			<urlCtrlLnk url="{string($pUrl)}" refItem="{java:getSrcUri(srcFileAgent())}" refUri="{srcFields(resolveSrcPath(java:getSrcUri(srcFileAgent())), 'srcUri')}"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>