<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:of="scpf.org:office" exclude-result-prefixes="sc sp">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:variable name="vUrlBase" select="normalize-space(getContent(rootModel(),'rssUrl'))"/>
	<xsl:template match="*">
		<xsl:if test="string-length($vUrlBase)&gt;0">
			<link href="{computeStrDialog(concat('@', switchAxis(codeAgent('//'), 'rssNav')), 'act:')}" title="{returnFirst(getFullTitleText(currentModel()),getShortTitleText(currentModel()))}" type="application/rss+xml" rel="alternate"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>