<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:rsc="scenari.eu:remote" xmlns:java="http://xml.apache.org/xslt/java" xmlns:of="scpf.org:office" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="rsc java of sp " >

<xsl:param name="vSrcNode"/>

<xsl:template match="text()|@*"/>
<xsl:template match="*[@sc:refUri]">
<attrRef nm="?" refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template match="/sc:item">
<xsl:apply-templates select="rsc:remoteImage"/>
</xsl:template>

<xsl:template match="sc:item/rsc:remoteImage">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:imgM"><xsl:value-of select="sp:title"/></xsl:for-each></title>
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rsc:remoteImage/sc:location[not(text())]">
<cPbs>
<pb typ="Error" cd="emptyUrl" msg="{formatStr('Le champ &apos;&apos;%s&apos;&apos; est vide.', 'URL de la ressource image distante')}"/>
</cPbs>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:imgM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
		
			
			
				
				
			
			
				
				
			
		
		
			
			
				
			
			
				
			
		
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:phrase[@role='url'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::of:sTxt]">
<xsl:apply-templates/>
</xsl:template>
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:phrase[@role='special'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::of:sTxt]">
<xsl:apply-templates/>
</xsl:template>
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::of:sTxt]">
<attrRef refUri="{@sc:refUri}" nm="of_sTxt:inlineImgTag:ico"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:sTxt">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:urlM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
		
			
			
		
			
			
				
				
			
			
				
				
			
			
				
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:langM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:txtM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		

</xsl:stylesheet>