<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:ooo="http://openoffice.org/2004/office" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:of="scpf.org:office" xmlns:xalan="http://xml.apache.org/xalan" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:svg="http://www.w3.org/2000/svg" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:xlink="http://www.w3.org/1999/xlink" exclude-result-prefixes="oooc dom xsd fo office ooo xsi sc presentation number java of xalan sl text sp table xforms scodPp svg draw script dr3d form meta style math ooow chart xlink dc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" method="xml" indent="no" omit-xml-declaration="yes"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="idRootAgt" select="getIdNode(ancestor-or-self::of:tree[1])"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:tree"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<scodPp:listItem xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0">
			<xsl:variable name="vContentAgtNd" select="concat('@', $idRootAgt, '_meta', '_Atitle')"/><xsl:value-of disable-output-escaping="yes" select="computeStrAgent(concat($vContentAgtNd, '/getContent'))"/>
			<xsl:variable name="vContentAgtNf" select="concat('@', $idRootAgt, '_meta', '_AshortDescription')"/><xsl:value-of disable-output-escaping="yes" select="computeStrAgent(concat($vContentAgtNf, '/getContent'))"/>
			<xsl:for-each select="sp:description"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:variable name="vContentAgtN13" select="concat($vContentAgt, '')"/><xsl:value-of disable-output-escaping="yes" select="computeStrAgent(concat($vContentAgtN13, '/getContent'))"/>
			</xsl:for-each>
			<xsl:choose>
				<xsl:when test="sp:node"><xsl:comment># sm:WList</xsl:comment><text:list xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="{getEntryBuffer('odStyleBlocks', '_globalsStyles_treeList')/text:list/@text:style-name}">
						<xsl:for-each select="sp:node"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
							<xsl:variable name="vContentAgtN1e" select="concat($vContentAgt, '_AlistItem')"/><xsl:value-of disable-output-escaping="yes" select="computeStrAgent(concat($vContentAgtN1e, '/getContent'))"/>
						</xsl:for-each>
					</text:list></xsl:when>
			</xsl:choose>
		</scodPp:listItem>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>