<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-result-prefixes="java"><xsl:output method="xml" indent="no" encoding="UTF-8"/><xsl:param name="vDialog"/><xsl:param name="vAgent"/><xsl:template match="*"><html lang="fr"><head><xsl:variable name="vWinTitle"><xsl:value-of select="titleAgent($vDialog)"/> [<xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Aroot/shortTitleText'))"/>]</xsl:variable><title><xsl:value-of select="normalize-space($vWinTitle)"/></title><meta charset="UTF-8"/><meta name="generator" content="SCENARI 4.2.101 / OptimOffice 1.4.017"/><meta name="revision"><xsl:attribute name="content"><xsl:variable name="formatter" select="java:java.text.SimpleDateFormat.new('yyyy-MM-dd HH:mm')"/><xsl:value-of select="execute(java:setTimeZone($formatter, java:java.util.SimpleTimeZone.new(0,'GMT+00:00')))"/><xsl:value-of select="java:format($formatter, java:java.util.Date.new())"/></xsl:attribute></meta><link rel="start" href="{computeStrDialog('/@@', 'act:')}" title="{escapeHtmlAtt(returnFirst(computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/fullTitleText')), computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/shortTitleText'))))}"/>
						
						<link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl('/lib-md/w_scImgMgr/scImgMgr.css')}"/>


						<script type="text/JavaScript" >
/*0*/ var scServices = {id:"<xsl:value-of select="computeStrAgent('/@@/genId')"/>"};
/*1*/ window.scLoadParams = {destUri:"<xsl:value-of select="java:getDestUri(java:getPage($vDialog))"/>", pathToRoot:"<xsl:value-of select="resolveDestUri2DestUrl('/')"/>"<xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationSkin(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/skin'">, skinLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationSkin(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if><xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibSc(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/lib-sc'">, libScLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibSc(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if><xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibMd(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/lib-md'">, libMdLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibMd(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if>};
</script>

						<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_html5shiv/html5shiv.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scCoLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scSiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scTiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scPaLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scDynUiMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scTooltipMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_tplMgr/tplMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_treeMgr/treeMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_searchMgr/searchMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_scMediaMgr/scMediaMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_scImgMgr/scImgMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_outMgr/outMgr.js')}"></script>
<script type="text/JavaScript" >
scImgMgr.registerAnimation(&quot;des:div.animFra&quot;);

scImgMgr.registerAnimation(&quot;des:div.animMiniFra&quot;,{toolbar:0});

scImgMgr.registerGallery(&quot;des:div.galFra&quot;);

scImgMgr.registerGallery(&quot;des:div.galMiniFra&quot;);
scImgMgr.registerZoom(&quot;des:a.overLnk&quot;,{toolbar:1,mag:1,titlePath:&quot;par:/nsi:/des:span.capTi&quot;});

scImgMgr.setPathPgeFra(&quot;ide:footer&quot;);

</script>
	
<xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\site\wdt\tpl\html5shiv.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\common\web\wdt\util\htmlMeta.uiwidget;')" disable-output-escaping="yes"/><link type="text/css" rel="stylesheet" href="{translatePubPath2DestUrl('/skin/css/struct.css')}"/><link type="text/css" rel="stylesheet" href="{translatePubPath2DestUrl('/skin/css/skin.css')}"/><xsl:text disable-output-escaping="yes"><![CDATA[<!--[if IE]>]]></xsl:text><link type="text/css" rel="stylesheet" href="{translatePubPath2DestUrl('/skin/css/ie.css')}"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]--><!--[if lt IE 9]>]]></xsl:text><link type="text/css" rel="stylesheet" href="{translatePubPath2DestUrl('/skin/css/ie8.css')}"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]-->]]></xsl:text><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\site\wdt\tpl\tplMgr.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\site\wdt\tpl\tplMgrPage.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\site\wdt\tpl\tplSaveLocation.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\site\wdt\out\outMgr.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AgenExtras/xhtmlContent'))" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AoptMgr/xhtmlContent'))" disable-output-escaping="yes"/></head><body><scBlock class="tplPge"><div><header id="header" role="banner"><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\site\wdt\tpl\accessBtns.uiwidget;')" disable-output-escaping="yes"/><hx class="tplTitle"><a class="rootLnk" rel="home" target="_self"><xsl:attribute name="href"><xsl:value-of xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="computeStrDialog(concat('/@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))),'_Aroot'), 'act:')"/></xsl:attribute><span><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Aroot/fullTitleText'))"/></span></a></hx><ifText><nav id="navigation" role="navigation" aria-label="menu de navigation principal"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AnavTop/xhtmlContent'))" disable-output-escaping="yes"/><hr class="hidden"/></nav></ifText><ifOptHead><div class="optHead"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AoptSearch/xhtmlContent'))" disable-output-escaping="yes"/></div></ifOptHead></header><div id="tplMain"><main role="main"><div class="tplFra"><div class="tplColLft"><div class="tplColMid"><div class="tplColRgt"><div class="tplColWrp"><div class="tplColPad"><div id="content"><div class="tplCoFra"><xsl:value-of select="computeStrAgent($vDialog, 'zone:mainZone')" disable-output-escaping="yes"/><ifOptContent><hr class="hidden"/><div class="optContent"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AoptRating/xhtmlContent'))" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AoptCom/xhtmlContent'))" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AoptStats/xhtmlContent'))" disable-output-escaping="yes"/></div></ifOptContent></div><xsl:choose><xsl:when test="computeStrAgent('/@@/tplCond_jFgPuxE6pch64bUzjzRVcc', .)"><ul class="outNav" role="navigation"><xsl:choose><xsl:when test="computeStrAgent('/@@/tplCond_GKU17ReDVXfUugrQU4WLxh', .)"><li><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\site\wdt\nav\btnPrv.uiwidget;')" disable-output-escaping="yes"/></li></xsl:when></xsl:choose><li><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\site\wdt\nav\btnNxt.uiwidget;')" disable-output-escaping="yes"/></li></ul></xsl:when></xsl:choose></div></div></div><ifText><nav id="menu" class="noIndex" role="navigation" aria-label="menu de navigation secondaire"><hr class="hidden"/><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AnavLft/xhtmlContent'))" disable-output-escaping="yes"/></nav></ifText><ifText><aside id="extras" aria-label="compléments"><hr class="hidden"/><div class="permMargin"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_ApermMargin/xhtmlContent'))" disable-output-escaping="yes"/></div><xsl:value-of select="computeStrAgent($vDialog, 'zone:zMargin')" disable-output-escaping="yes"/></aside></ifText></div></div></div></div></main></div><footer id="footer" role="contentinfo"><scBasket key="footNotes" suppressIfEmpty="yes" tagName="ol" sort="no" widgetClass="footNotes" class=""/><hr class="hidden"/><div class="tplFootBanner"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Alegal/xhtmlContent'))" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\site\wdt\tpl\footerBtns.uiwidget;')" disable-output-escaping="yes"/></div></footer></div></scBlock><script type="text/JavaScript" src="{translatePubPath2DestUrl('/skin/js/skin.js')}"/></body></html></xsl:template></xsl:stylesheet>