<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-result-prefixes="java"><xsl:output method="xml" indent="no" encoding="UTF-8"/><xsl:param name="vDialog"/><xsl:param name="vAgent"/><xsl:template match="*"><html lang="fr"><head><xsl:variable name="vWinTitle"><xsl:value-of select="titleAgent($vDialog)"/></xsl:variable><title><xsl:value-of select="normalize-space($vWinTitle)"/></title><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/><meta http-equiv="Content-Style-Type" content="text/css"/><meta name="generator" content="SCENARI 4.2.101 / OptimOffice 1.4.017"/><meta name="revision"><xsl:attribute name="content"><xsl:variable name="formatter" select="java:java.text.SimpleDateFormat.new('yyyy-MM-dd HH:mm')"/><xsl:value-of select="execute(java:setTimeZone($formatter, java:java.util.SimpleTimeZone.new(0,'GMT+00:00')))"/><xsl:value-of select="java:format($formatter, java:java.util.Date.new())"/></xsl:attribute></meta><link rel="start" href="{computeStrDialog('/@@', 'act:')}" title="{escapeHtmlAtt(returnFirst(computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/fullTitleText')), computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/shortTitleText'))))}"/>
						
						

						<script type="text/JavaScript" >
/*0*/ var scServices = {id:"<xsl:value-of select="computeStrAgent('/@@/genId')"/>"};
/*1*/ window.scLoadParams = {destUri:"<xsl:value-of select="java:getDestUri(java:getPage($vDialog))"/>", pathToRoot:"<xsl:value-of select="resolveDestUri2DestUrl('/')"/>"<xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationSkin(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/skin'">, skinLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationSkin(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if><xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibSc(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/lib-sc'">, libScLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibSc(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if><xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibMd(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/lib-md'">, libMdLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibMd(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if>};
</script>

						<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scCoLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scSiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scPaLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_tplMgr/tplMgr.js')}"></script>
<script type="text/JavaScript" >
/* A - sort key */
if (window.parent &amp;&amp; window.parent.scHPS){
   var scHPS = window.parent.scHPS;
   var scSldMgr = new scHPS.SldMgr(&quot;ide:tplPge&quot;, window);

   (function(pSldMgr){
     pSldMgr.addBindableBlk(&quot;des:div.imgInFlow&quot;,{ratioHeightAlone:1,ratioHeight:.9,captionHeight:45},scHPS.SizeBlkImg);
     pSldMgr.addBindableBlk(&quot;des:span.imgInline&quot;,{captionHeight:0},scHPS.SizeBlkImg);
     pSldMgr.addBindableBlk(&quot;des:div.objInFlow&quot;,null,scHPS.SizeBlkObj);
     pSldMgr.addBindableBlk(&quot;des:div.vidInFlow&quot;,{onAction:function(pRes){try{this.fObj.SetVariable(&quot;player:jsPause&quot;, &quot;&quot;)}catch(e){};try{this.fObj.pause()}catch(e){};}},scHPS.SizeBlkObj);
     pSldMgr.addBindableBlk(&quot;des:span.objInline&quot;,{captionHeight:0},scHPS.SizeBlkObj);
     pSldMgr.addBindableBlk(&quot;des:a.ssZmLnk&quot;,null,scHPS.FraZmBlk);
     pSldMgr.addBindableBlk(&quot;des:a.htmlZmLnk&quot;,{setModeHtml:true},scHPS.FraZmBlk);
     pSldMgr.addBindableBlk(&quot;des:div.imgAnim&quot;,{autoStart:false},scHPS.AnimBlk);
   })(scSldMgr);
}

</script>
	
<xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\common\web\wdt\util\htmlMeta.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\sldHtml\wdt\util\startLink.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\sldHtml\wdt\mgr\tplMgr.uiwidget;')" disable-output-escaping="yes"/><link type="text/css" rel="stylesheet" href="{translatePubPath2DestUrl('/skin/css/slideHtml.css')}" media="screen" title="modeHTML"/><link type="text/css" rel="alternate stylesheet" href="{translatePubPath2DestUrl('/skin/css/slideSS.css')}" media="screen" title="modeSS"/><xsl:text disable-output-escaping="yes"><![CDATA[<!--[if IE]>]]></xsl:text><link type="text/css" rel="stylesheet" href="{translatePubPath2DestUrl('/skin/css/ie.css')}"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]--><!--[if lt IE 9]>]]></xsl:text><link type="text/css" rel="stylesheet" href="{translatePubPath2DestUrl('/skin/css/ie8.css')}"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]--><!--[if lt IE 7]>]]></xsl:text><link type="text/css" rel="stylesheet" href="{translatePubPath2DestUrl('/skin/css/ie6.css')}"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]-->]]></xsl:text><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\sldHtml\wdt\mgr\scHPSSlide.uiwidget;')" disable-output-escaping="yes"/></head><body><div id="tplPge"><div id="tplSld"><xsl:value-of select="computeStrAgent($vDialog, 'zone:mainZone')" disable-output-escaping="yes"/></div><hr class="hidden"/><strong class="hidden">Navigation :</strong><div id="tplNav"><a id="btnRoot" class="outNav_i" rel="home" target="_self"><xsl:attribute name="href"><xsl:value-of xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="computeStrDialog(concat('/@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))),'_Aroot'), 'act:')"/></xsl:attribute><addAttribute name="title" filter="textOnly">Retourner à l&apos;accueil</addAttribute><span>Accueil</span></a><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\common\web\wdt\util\separator.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\sldHtml\wdt\nav\stack.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\common\web\wdt\util\separator.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\sldHtml\wdt\nav\btnPrv.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\common\web\wdt\util\separator.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\office\gen\sldHtml\wdt\nav\btnNxt.uiwidget;')" disable-output-escaping="yes"/></div></div><script type="text/JavaScript" src="{translatePubPath2DestUrl('/skin/js/slide.js')}"/></body></html></xsl:template></xsl:stylesheet>